%global pkgvers 0
%global scdate0 20250107
%global schash0 cb169e23c6228696e64e1e93c5c4bf21fcbe91b6
%global branch0 master
%global source0 https://github.com/enjoy-digital/litepcie.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-litepcie
Version:        2024.12
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        A small footprint and configurable PCIe core
License:        BSD
BuildArch:      noarch

URL:            https://github.com/enjoy-digital/litepcie

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%global _python_dist_allow_version_zero 1

%description
LitePCIe provides a small footprint and configurable PCIe core.

%package        python3
Summary:        %{summary}
Requires:       %{name} = %{version}-%{release}
Requires:       litex-python3
Provides:       litepcie

%description    python3
LitePCIe provides a small footprint and configurable PCIe core.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{py3_build}


%install
%{py3_install}

%files
%doc README.md
%doc doc examples
%license LICENSE
%{_bindir}/*

%files python3
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
